<?xml version="1.0"?>
<!-- 
/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 -->

<document>

  <properties>
    <author email="dion@multitask.com.au">dIon Gillard</author>
    <title>Maven Struts Plug-in Directory Layout</title>
  </properties>

  <body>

    <section name="Rationale">
      <p>
        Having a common directory layout would allow for users familiar
        with one Maven project to immediately feel at home in another
        Maven project. The advantages are analogous to adopting a
        site-wide look-and-feel. Common Maven procedures strengthen the
        Maven brand.
      </p>
      <p>
        The next two sections document the directory layout expected by
        Maven and the directory layout created by Maven.  Please try to
        conform to this structure as much as possible; however, if you
        must these settings can be overridden via properties as
        documented in the <a
        href="../../start/integrate.html#Properties">Integration</a> document.
      </p>
    </section>
    <section name="Maven-Generated Layout">
      <table>
        <tr>
          <th>Directory name</th>
          <th>Content</th>
          <th>Comment</th>
        </tr>
        <tr>
          <td>target/</td>
          <td>Contains compiled WARs.</td>
          <td>
            This directory is used by the Struts Plug-in as the source of the
            war to be validated.
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>
